Bug 1427925 - check_http 2.2.0-4 fails if Transfer-Encoding ends the header
Summary: check_http 2.2.0-4 fails if Transfer-Encoding ends the header
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 14:26 UTC by Peter Bieringer
Modified: 2017-08-10 06:22 UTC (History)
8 users (show)

Fixed In Version: nagios-plugins-2.2.1-3git.fc24 nagios-plugins-2.2.1-4git.fc26 nagios-plugins-2.2.1-4git.el7 nagios-plugins-2.2.1-3git.fc25 nagios-plugins-2.2.1-4git.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 21:51:16 UTC


Attachments (Terms of Use)

Description Peter Bieringer 2017-03-01 14:26:15 UTC
Description of problem:
check_http 2.2.0-4 fails if Transfer-Encoding ends the header

Version-Release number of selected component (if applicable):
nagios-plugins-2.2.0-4 from testing

How reproducible:
always



Steps to Reproduce:
response header ends with

< Content-Type: application/json;charset=UTF-8
< Transfer-Encoding: chunked


Actual results:
HTTP_UNKNOWN - Failed to parse response headers


Expected results:
working


Additional info:
last lines of ltrace

[pid 401] memchr("g: chunked", '\0', 1)                                                                                                                   = nil
[pid 401] __ctype_b_loc()                                                                                                                                 = 0x7f2426d037f0
[pid 401] __ctype_tolower_loc()                                                                                                                           = 0x7f2426d037e0
[pid 401] __ctype_tolower_loc()                                                                                                                           = 0x7f2426d037e0
[pid 401] __ctype_b_loc()                                                                                                                                 = 0x7f2426d037f0
[pid 401] __ctype_tolower_loc()                                                                                                                           = 0x7f2426d037e0
[pid 401] __ctype_tolower_loc()                                                                                                                           = 0x7f2426d037e0
[pid 401] __ctype_b_loc()                                                                                                                                 = 0x7f2426d037f0
[pid 401] strchr("chunked", '\r')                                                                                                                         = nil
[pid 401] dcgettext(0, 0x7f2426d28938, 5, 6)                                                                                                              = 0x7f2426d28938
[pid 401] __vfprintf_chk(0x7f2425c44400, 1, 0x7f2426d28938, 0x7fff003a6a30HTTP_UNKNOWN - Failed to parse response headers
)                                                                               = 48
[pid 401] exit(3 <unfinished ...>
[pid 401] __cxa_finalize(0x7f2426f2d908, 0, 0, 1)                                                                                                         = 0x7f2425c45290
[pid 401] +++ exited (status 3) +++


upstream already knows about the issue
https://github.com/nagios-plugins/nagios-plugins/issues/240

should be fixed before 2.2.0 released to stable

Comment 1 Stephen John Smoogen 2017-06-29 18:56:26 UTC
I think the 2.2.1 with patches fixed this problem, but I missed assigning this and testing before I pushed it to stable today. I am going to put this with the 2.3.0 I am working on this afternoon.

Comment 2 Fedora Update System 2017-07-03 20:54:36 UTC
nagios-plugins-2.2.1-2git.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cc0aeaca30

Comment 3 Fedora Update System 2017-07-06 02:48:22 UTC
nagios-plugins-2.2.1-2git.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-62fe0218d0

Comment 4 Fedora Update System 2017-07-06 02:49:39 UTC
nagios-plugins-2.2.1-2git.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cc0aeaca30

Comment 5 Fedora Update System 2017-07-12 20:29:51 UTC
nagios-plugins-2.2.1-3git.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-76229ef8c9

Comment 6 Fedora Update System 2017-07-13 19:48:42 UTC
nagios-plugins-2.2.1-3git.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-76229ef8c9

Comment 7 Fedora Update System 2017-07-13 19:51:03 UTC
nagios-plugins-2.2.1-3git.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4b1c55c024

Comment 8 Fedora Update System 2017-07-13 21:21:41 UTC
nagios-plugins-2.2.1-3git.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6401b28fc4

Comment 9 Fedora Update System 2017-07-13 21:23:59 UTC
nagios-plugins-2.2.1-3git.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d031793bf

Comment 10 Fedora Update System 2017-07-13 23:54:09 UTC
nagios-plugins-2.2.1-3git.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5f81422dc

Comment 11 Fedora Update System 2017-07-14 18:58:24 UTC
nagios-plugins-2.2.1-4git.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2e82de3b3

Comment 12 Fedora Update System 2017-07-16 21:21:21 UTC
nagios-plugins-2.2.1-4git.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2e82de3b3

Comment 13 Fedora Update System 2017-07-23 04:17:55 UTC
nagios-plugins-2.2.1-4git.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8973027f42

Comment 14 Fedora Update System 2017-07-23 04:23:12 UTC
nagios-plugins-2.2.1-4git.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-87ebfdc686

Comment 15 Fedora Update System 2017-07-23 21:51:16 UTC
nagios-plugins-2.2.1-3git.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-08-03 15:52:53 UTC
nagios-plugins-2.2.1-4git.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-08-09 15:22:55 UTC
nagios-plugins-2.2.1-4git.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-08-09 19:57:09 UTC
nagios-plugins-2.2.1-3git.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-08-10 06:19:24 UTC
nagios-plugins-2.2.1-4git.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Peter Bieringer 2017-08-10 06:22:30 UTC
be warned, there is next unexpected issue in check_http (content check is broken now)
https://bugzilla.redhat.com/show_bug.cgi?id=1480085


Note You need to log in before you can comment on or make changes to this bug.